#
# spec file for package golang-github-gorilla-context
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define import_path github.com/gorilla/context
Name:           golang-github-gorilla-context
Version:        1.1
Release:        1.1
Summary:        General purpose registry for global request variables
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://%{import_path}
Source:         context-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
The context package stores values shared during a request lifetime.

For example, a router can set variables extracted from the URL and later
application handlers can access those values, or it can be used to store
sessions values to be saved at the end of a request.

%{gosrc_package}

%prep
%setup -q -n context-%{version}

%build
%{goprep} %{import_path}
%{gobuild}

%check
%{gotest} %{import_path}

%install
%{goinstall}
%{gosrc}

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%doc LICENSE README.md
%{go_contribsrcdir}/*

%changelog
* Mon Jul 11 2016 me@zygoon.pl
- Initial version for openSUSE by Frank Schreiner
